import { Connection } from "../../../domain/models/connections/Connection";
import { ConnectionService } from "../../../domain/services/Connection.service";
declare const _default: {
    name: string;
    emits: string[];
    props: {
        name: string;
        schema: string;
        idConnection: string;
        typeObject: string;
        connection: Connection;
        nodo: any;
    };
    data: () => {
        connectionService: ConnectionService;
        schemaList: any[];
        objects: any[];
        showDatabaseObjects: boolean;
        active: boolean;
        columnList: any[];
    };
    computed: {
        selected(): any;
    };
    methods: {
        selectedNode(): void;
        getColumns(): Promise<void>;
    };
    watch: {
        selected: () => Promise<void>;
    };
    mounted(): Promise<void>;
};
export default _default;
